Older Macs running older operating systems

Just read where older versions are available for my older Mac running Snow Leopard. Can I include that older version in a purchase of 1Password for my family? We all have current iPads & iPhones


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided
Referrer: forum-search:I was about to purchase 1Password for my entire family but suddenly balked at system requirements. W

Comments

  • JacobJacob

    Team Member

    Hi @howdy! I'm glad you asked before subscribing. An older version of the 1Password app does support Snow Leopard, but the latest version doesn't, and it's required for 1Password Famlilies. If you're looking to just buy some licenses for your family, you're welcome to from our store. The last version available for Snow Leopard is 3.8.22 which you can download directly here. I'd recommend looking into an OS X upgrade for your computers, though, to get the best 1Password experience. Hope that helps!

This discussion has been closed.